Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596280 - katepart not build with editorconfig support
Summary: katepart not build with editorconfig support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-ktexteditor
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 14:12 UTC by Matthew Woehlke
Modified: 2018-07-06 15:45 UTC (History)
4 users (show)

Fixed In Version: kf5-ktexteditor-5.47.0-4.fc28 kf5-ktexteditor-5.47.0-4.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-03 16:52:39 UTC


Attachments (Terms of Use)

Description Matthew Woehlke 2018-06-28 14:12:33 UTC
Description of problem:
According to https://github.com/editorconfig/editorconfig.github.com/issues/78 (and the kate developers), katepart has support for editorconfig. However, this does not work in Fedora because katepart was not built against editorconfig.

Version-Release number of selected component (if applicable):
kf5-ktexteditor-5.46.0-1.fc28

How reproducible:
Always.

Steps to Reproduce:
1. Set default indent width in a katepart application (e.g. kwrite, kdevelop) to X.
2. Open a file that has an associated .editorconfig that specifies an indent width Y, Y != X.
3. Indent something.

Actual results:
Text is indented by X spaces.

Expected results:
Text is indented by Y spaces.

Additional info:
Not tested yet with 5.47.0, but given that my system continues to not have editorconfig installed, I expect the same results. Based on comments from the upstream developers, the fix would seem to be adding editorconfig-devel as a build dependency.

Comment 1 Matthew Woehlke 2018-06-28 14:15:00 UTC
p.s. Obviously this is present in F27 also; would be awesome if it can get fixed in both!

Comment 2 Rex Dieter 2018-06-28 14:36:06 UTC
Thanks, I'll take a look today.

Comment 3 Rex Dieter 2018-06-28 14:47:44 UTC
%changelog
* Thu Jun 28 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.47.0-4
- BR: editorconfig (#1596280)

Comment 4 Rex Dieter 2018-06-28 15:03:03 UTC
f28 test candidate build:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1099489

Comment 5 Fedora Update System 2018-06-28 18:19:39 UTC
kf5-ktexteditor-5.47.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd354f3e8c

Comment 6 Fedora Update System 2018-06-28 18:21:03 UTC
kf5-ktexteditor-5.47.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d52e9762d6

Comment 7 Fedora Update System 2018-06-29 07:11:34 UTC
kf5-ktexteditor-5.47.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d52e9762d6

Comment 8 Fedora Update System 2018-06-29 09:46:40 UTC
kf5-ktexteditor-5.47.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd354f3e8c

Comment 9 Fedora Update System 2018-07-03 16:52:39 UTC
kf5-ktexteditor-5.47.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-07-06 15:45:27 UTC
kf5-ktexteditor-5.47.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.